Overview | Package | Class | Use | Tree | Deprecated | Index | Help
|  | BEA Systems, Inc.
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: INNER | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

WebLogic Server 5.1.0sp9 API Reference

## weblogic.common
Interface T3ServicesDef

public interface T3ServicesDef

The T3ServicesDef interface defines WebLogic Services. Services within WebLogic implement methods from this interface. The methods in this interface provide access to a factory for its type of service or facility. An object factory for a service or facility is used in place of a constructor (as a "virtual constructor") to allocate resources in WebLogic.

Author:
  Copyright (c) 1996-98 by WebLogic, Inc. All Rights Reserved., Copyright (c) 1999 by BEA WebXpress. All Rights Reserved.
  Copyright © 2001 BEA Systems, Inc. All Rights Reserved.

Field Summary
`static java.lang.String` | `NAME`

Method Summary
`AdminServicesDef` | `admin()` Returns access to administrative services in WebLogic.
`T3BeanServicesDef` | `beans()` Deprecated. Use RMI instead.
`ConfigServicesDef` | `config()` Returns access to configuration services in WebLogic.
`EventServicesDef` | `events()` Returns access to event services in WebLogic.
`IOServicesDef` | `io()` Returns access to IO services in WebLogic.
`JdbcServicesDef` | `jdbc()` Returns access to JDBC services in WebLogic.
`LogServicesDef` | `log()` Returns access to log file services in WebLogic.
`NameServicesDef` | `name()` Returns access to name services in WebLogic.
`RemoteServicesDef` | `remote()` Deprecated. Use RMI instead.
`TimeServicesDef` | `time()` Returns access to time services in WebLogic.
`WorkspaceServicesDef` | `workspace()` Returns access to workspace services in WebLogic.

Field Detail

### NAME

    public static final java.lang.String NAME

Method Detail

### admin

    public AdminServicesDef admin()

  Returns access to administrative services in WebLogic.

### config

    public ConfigServicesDef config()

  Returns access to configuration services in WebLogic.

### events

    public EventServicesDef events()

  Returns access to event services in WebLogic.

### jdbc

    public JdbcServicesDef jdbc()

  Returns access to JDBC services in WebLogic.

### log

    public LogServicesDef log()

  Returns access to log file services in WebLogic.

### name

    public NameServicesDef name()

  Returns access to name services in WebLogic.

### remote

    public RemoteServicesDef remote()

  Deprecated. Use RMI instead.
  Returns access to remote computing services in WebLogic.

### workspace

    public WorkspaceServicesDef workspace()

  Returns access to workspace services in WebLogic.

### beans

    public T3BeanServicesDef beans()

  Deprecated. Use RMI instead.
  Returns access to T3Bean services in WebLogic.

### io

    public IOServicesDef io()

  Returns access to IO services in WebLogic.

### time

    public TimeServicesDef time()

  Returns access to time services in WebLogic.

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| Documentation is available at http://www.weblogic.com/docs51
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: INNER | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD